#pragma once

#include <Array.h>
#include <Model3D.h>
#include <Reader.h>
#include <Text.h>

class ModelInfo
{
private:
    Framework::Text modelPath;
    Framework::RCArray<Framework::Text> texturPaths;
    bool transparent;

public:
    ModelInfo(Framework::StreamReader* reader);

    Framework::Model3DData* getModel() const;
    Framework::Model3DTextur* getTexture() const;
    bool isTransparent() const;
};